Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -6874,9 +12475,54 @@
      57    ToningSaturation                     int8u
 
+=head3 Nikon PictureControl2 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PictureControlVersion                no
+      4    PictureControlName                   string[20]
+     24    PictureControlBase                   string[20]
+     48    PictureControlAdjust                 int8u
+     49    PictureControlQuickAdjust            int8u
+     51    Sharpness                            int8u
+     53    Clarity                              int8u
+     55    Contrast                             int8u
+     57    Brightness                           int8u
+     59    Saturation                           int8u
+     61    Hue                                  int8u
+     63    FilterEffect                         int8u
+     64    ToningEffect                         int8u
+     65    ToningSaturation                     int8u
+
+=head3 Nikon PictureControl3 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PictureControlVersion                no
+      8    PictureControlName                   string[20]
+     28    PictureControlBase                   string[20]
+     54    PictureControlAdjust                 int8u
+     55    PictureControlQuickAdjust            int8u
+     57    Sharpness                            int8u
+     59    MidRangeSharpness                    int8u
+     61    Clarity                              int8u
+     63    Contrast                             int8u
+     65    Brightness                           int8u
+     67    Saturation                           int8u
+     69    Hue                                  int8u
+     71    FilterEffect                         int8u
+     72    ToningEffect                         int8u
+     73    ToningSaturation                     int8u
+
+=head3 Nikon PictureControlUnknown Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PictureControlVersion                no
+
 =head3 Nikon WorldTime Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Timezone                             int16s
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    TimeZone                             int16s
       2    DaylightSavings                      int8u
       3    DateDisplayFormat                    int8u
@@ -6884,6 +12530,6 @@
 =head3 Nikon ISOInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    ISO                                  int8u
       4    ISOExpansion                         int16u
@@ -6893,25 +12539,47 @@
 =head3 Nikon DistortInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    DistortionVersion?                   N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    DistortionVersion?                   no
       4    AutoDistortionControl                int8u
 
 =head3 Nikon UnknownInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    UnknownInfoVersion?                  N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    UnknownInfoVersion?                  no
 
 =head3 Nikon UnknownInfo2 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    UnknownInfo2Version?                 N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    UnknownInfo2Version?                 no
+
+=head3 Nikon HDRInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    HDRInfoVersion                       string[4]
+      4    HDR                                  int8u
+      5    HDRLevel                             int8u
+      6    HDRSmoothing                         int8u
+      7    HDRLevel2                            int8u
+
+=head3 Nikon LocationInfo Tags
+
+Tags written by some Nikon GPS-equipped cameras like the AW100.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LocationInfoVersion                  undef[4]
+      4    TextEncoding                         int8u
+      5    CountryCode                          undef[3]
+      8    POILevel                             int8u
+      9    Location                             undef[70]
 
 =head3 Nikon AFInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    AFAreaMode                           int8u
       1    AFPoint                              int8u
@@ -6924,5 +12592,5 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
+      0    ShotInfoVersion                      no
     582    ShutterCount                         int32u
   586.1    VibrationReduction                   int8u & 0x08
@@ -6935,5 +12603,5 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
+      0    ShotInfoVersion                      no
     586    ShutterCount                         int32u
   590.1    Rotation                             int8u & 0x07
@@ -6951,6 +12619,6 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
     693    ISO2                                 int8u
     725    ShutterCount                         int32u
@@ -6964,5 +12632,5 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
+      0    ShotInfoVersion                      no
     598    ISO2                                 int8u
     630    ShutterCount                         int32u
@@ -6978,6 +12646,6 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
      16    ImageArea                            int8u
     605    ISO2                                 int8u
@@ -6996,6 +12664,6 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
     605    ISO2                                 int8u
     640    ShutterCount                         int32u
@@ -7009,6 +12677,6 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
      16    ImageArea                            int8u
     545    ISO2                                 int8u
@@ -7023,5 +12691,5 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
+      0    ShotInfoVersion                      no
     604    ISO2                                 int8u
     633    ShutterCount                         int32u
@@ -7036,6 +12704,6 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
     613    ISO2                                 int8u
     644    ShutterCount                         int32u
@@ -7050,6 +12718,6 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
     613    ISO2                                 int8u
     646    ShutterCount                         int32u
@@ -7063,10 +12731,65 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
     613    ISO2                                 int8u
     647    ShutterCount                         int32u
     804    CustomSettingsD700                   NikonCustom SettingsD700
 
+=head3 Nikon ShotInfoD800 Tags
+
+These tags are extracted from encrypted data in images from the D800.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+   1216    RepeatingFlashOutputExternal         int8u
+   1218    RepeatingFlashRateExternal           int8u
+   1219    RepeatingFlashCountExternal          int8u
+   1234    FlashExposureComp2                   int8s
+   1242    RepeatingFlashRateBuilt-in           int8u
+   1243    RepeatingFlashCountBuilt-in          int8u
+   1308    SequenceNumber                       int8u
+   1531    ShutterCount                         int32u
+   1772    CustomSettingsD800                   NikonCustom SettingsD800
+
+=head3 Nikon ShotInfoD810 Tags
+
+These tags are extracted from encrypted data in images from the D810.  Note
+that the indices listed below are for firmware version 1.0, but they may be
+different for other firmware versions.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+    464    SecondarySlotFunction                int8u & 0x03
+   5974    AEBracketingSteps                    int8u & 0xff
+   5975    WBBracketingSteps                    int8u & 0xff
+   5982    NikonMeteringMode                    int8u & 0x03
+   6236    ISOAutoShutterTime                   int8u & 0x3f
+   6237    ISOAutoHiLimit                       int8u & 0xff
+   6315    CustomSettingsD810                   NikonCustom SettingsD810
+  14068    RollAngle                            fixed32u
+  14072    PitchAngle                           fixed32u
+  14076    YawAngle                             fixed32u
+
+=head3 Nikon ShotInfoD850 Tags
+
+These tags are extracted from encrypted data in images from the D850.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+   1937    PhotoShootingMenuBankImageArea       int8u & 0x07
+   4029    PhotoShootingMenuBank                int8u & 0x03
+   4031    PrimarySlot                          int8u & 0x80
+   4152    CustomSettingsD850                   NikonCustom SettingsD850
+  12027    RollAngle                            fixed32u
+  12031    PitchAngle                           fixed32u
+  12035    YawAngle                             fixed32u
+
 =head3 Nikon ShotInfoD5000 Tags
 
@@ -7076,10 +12799,28 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
     693    ISO2                                 int8u
     726    ShutterCount                         int32u
     888    CustomSettingsD5000                  NikonCustom SettingsD5000
 
+=head3 Nikon ShotInfoD5100 Tags
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+    801    ShutterCount                         int32u
+   1031    CustomSettingsD5100                  NikonCustom SettingsD5100
+
+=head3 Nikon ShotInfoD5200 Tags
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+   3032    ShutterCount                         int32u
+   3285    CustomSettingsD5200                  NikonCustom SettingsD5200
+
 =head3 Nikon ShotInfoD7000 Tags
 
@@ -7089,9 +12830,102 @@
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
     800    ShutterCount                         int32u
    1028    CustomSettingsD7000                  NikonCustom SettingsD7000
 
+=head3 Nikon ShotInfoD4 Tags
+
+These tags are extracted from encrypted data in images from the D4.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+   1873    CustomSettingsD4                     NikonCustom SettingsD4
+
+=head3 Nikon ShotInfoD4S Tags
+
+These tags are extracted from encrypted data in images from the D4S.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+    464    SecondarySlotFunction                int8u & 0x03
+   5964    AEBracketingSteps                    int8u & 0xff
+   5965    WBBracketingSteps                    int8u & 0xff
+   6221    ReleaseMode                          int8u & 0xff
+   6301    CustomSettingsD4S                    NikonCustom SettingsD4
+   6338    MultiSelectorLiveViewMode            int8u & 0xc0
+   6378    ISOAutoShutterTime                   int8u & 0x3f
+   6379    ISOAutoHiLimit                       int8u & 0xff
+   6461    CustomSettingsD4S                    NikonCustom SettingsD4
+  13579    RollAngle                            fixed32u
+  13583    PitchAngle                           fixed32u
+  13587    YawAngle                             fixed32u
+  13971    Rotation                             int8u & 0x30
+
+=head3 Nikon ShotInfoD500 Tags
+
+These tags are extracted from encrypted data in images from the D5 and D500.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+    202    Rotation                             int8u & 0x03
+   1506    FlickerReductionIndicator            int8u & 0x01
+   2004    JPGCompression                       int8u & 0x01
+   2171    AEBracketingSteps                    int8u & 0xff
+   2172    WBBracketingSteps                    int8u & 0xff
+   2179    ADLBracketingStep                    int8u & 0xf0
+   2180    ADLBracketingType                    int8u & 0x0f
+   3709    PhotoShootingMenuBank                int8u & 0x03
+   3711    PrimarySlot                          int8u & 0x80
+   3713    ISOAutoShutterTime                   int8u & 0x3f
+   3714    ISOAutoHiLimit                       int8u & 0xff
+   3716    FlickerReduction                     int8u & 0x20
+  3716.1   PhotoShootingMenuBankImageArea       int8u & 0x07
+   3819    CustomSettingsD5                     NikonCustom SettingsD5
+           CustomSettingsD500                   NikonCustom SettingsD500
+  11300    RollAngle                            fixed32u
+  11304    PitchAngle                           fixed32u
+  11308    YawAngle                             fixed32u
+  11940    NikonMeteringMode                    int8u & 0x03
+
+=head3 Nikon ShotInfoD6 Tags
+
+These tags are extracted from encrypted data in images from the D6.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+  49690    RollAngle                            fixed32u
+  49694    PitchAngle                           fixed32u
+  49698    YawAngle                             fixed32u
+
+=head3 Nikon ShotInfoD610 Tags
+
+These tags are extracted from encrypted data in images from the D610.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+   1999    CustomSettingsD610                   NikonCustom SettingsD610
+
+=head3 Nikon ShotInfoZ7_2 Tags
+
+These tags are extracted from encrypted data in images from the Z7_2.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
+  52786    RollAngle                            fixed32u
+  52790    PitchAngle                           fixed32u
+  52794    YawAngle                             fixed32u
+
 =head3 Nikon ShotInfo Tags
 
@@ -7099,8 +12933,8 @@
 only valid for specific models.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ShotInfoVersion                      N
-      4    FirmwareVersion                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ShotInfoVersion                      no
+      4    FirmwareVersion                      no
      16    DistortionControl                    int8u
     102    VR_0x66?                             int8u
@@ -7115,6 +12949,6 @@
 =head3 Nikon ColorBalance1 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    WB_RBGGLevels                        int16u[4]!
 
@@ -7123,27 +12957,33 @@
 This information is encrypted for most camera models.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    WB_RGGBLevels                        int16u[4]!
 
 =head3 Nikon ColorBalance3 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    WB_RGBGLevels                        int16u[4]!
 
 =head3 Nikon ColorBalance4 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    WB_GRBGLevels                        int16u[4]!
 
+=head3 Nikon ColorBalanceUnknown Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ColorBalanceVersion                  undef[4]
+
 =head3 Nikon LensData00 Tags
 
 This structure is used by the D100, and D1X with firmware version 1.1.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    LensDataVersion                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensDataVersion                      no
       6    LensIDNumber                         int8u
       7    LensFStops                           int8u
@@ -7160,7 +13000,7 @@
 extracted.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    LensDataVersion                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensDataVersion                      no
       4    ExitPupilPosition                    int8u
       5    AFAperture                           int8u
@@ -7183,7 +13023,7 @@
 extracted.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    LensDataVersion                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensDataVersion                      no
       4    ExitPupilPosition                    int8u
       5    AFAperture                           int8u
@@ -7200,9 +13040,62 @@
      19    EffectiveMaxAperture                 int8u
 
+=head3 Nikon LensData0400 Tags
+
+Tags extracted from the encrypted lens data of the Nikon 1J1/1V1/1J2.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensDataVersion                      no
+    394    LensModel                            string[64]
+
+=head3 Nikon LensData0402 Tags
+
+Tags extracted from the encrypted lens data of the Nikon 1J3/1S1/1V2.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensDataVersion                      no
+    395    LensModel                            string[64]
+
+=head3 Nikon LensData0403 Tags
+
+Tags extracted from the encrypted lens data of the Nikon 1J4/1J5.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensDataVersion                      no
+    684    LensModel                            string[64]
+
+=head3 Nikon LensData0800 Tags
+
+Tags found in the encrypted LensData from cameras such as the Z6 and Z7.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensDataVersion                      no
+      4    ExitPupilPosition                    int8u
+      5    AFAperture                           int8u
+      9    FocusPosition                        int8u
+     11    FocusDistance                        int8u
+     12    FocalLength                          int8u
+     13    LensIDNumber                         int8u
+     14    LensFStops                           int8u
+     15    MinFocalLength                       int8u
+     16    MaxFocalLength                       int8u
+     17    MaxApertureAtMinFocal                int8u
+     18    MaxApertureAtMaxFocal                int8u
+     19    MCUVersion                           int8u
+     20    EffectiveMaxAperture                 int8u
+     48    LensID                               int16u
+     54    MaxAperture                          int16u
+     56    FNumber                              int16u
+     60    FocalLength                          int16u
+     79    FocusDistance                        int8u
+
 =head3 Nikon LensDataUnknown Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    LensDataVersion                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensDataVersion                      no
 
 =head3 Nikon FlashInfo0100 Tags
@@ -7211,7 +13104,7 @@
 D200.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FlashInfoVersion                     N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FlashInfoVersion                     no
       4    FlashSource                          int8u
       6    ExternalFlashFirmware                int8u[2]
@@ -7237,7 +13130,7 @@
 (firmware 1.00).
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FlashInfoVersion                     N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FlashInfoVersion                     no
       4    FlashSource                          int8u
       6    ExternalFlashFirmware                int8u[2]
@@ -7263,10 +13156,11 @@
 =head3 Nikon FlashInfo0103 Tags
 
-These tags are used by the D3 (firmware 2.x), D3X, D3S, D90, D300 (firmware
-1.10), D300S, D700, D3000 and D5000.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FlashInfoVersion                     N
+These tags are used by the D3 (firmware 2.x), D3X, D3S, D4, D90, D300
+(firmware 1.10), D300S, D600, D700, D800, D3000, D3100, D3200, D5000, D5100,
+D5200, D7000.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FlashInfoVersion                     no
       4    FlashSource                          int8u
       6    ExternalFlashFirmware                int8u[2]
